Page MenuHomePhabricator

Special:RC - have 'hidepageedits' filter out all Flow changes
Closed, ResolvedPublic

Description

All Flow changes should be filtered out when hidepageedits=1 is specified

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterMake 'hidepageedits' filter out all Flow changes

Event Timeline

SBisson created this task.Jan 3 2017, 3:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 3 2017, 3:22 PM
SBisson renamed this task from Special:RC - hidenewpages should filter out new Flow topics to Special:RC - have Flow respect 'hidenewpages' and 'hidepageedits'.Jan 6 2017, 2:15 PM
SBisson updated the task description. (Show Details)
SBisson renamed this task from Special:RC - have Flow respect 'hidenewpages' and 'hidepageedits' to Special:RC - have 'hidepageedits' filter out all Flow changes.Jan 6 2017, 6:39 PM
SBisson updated the task description. (Show Details)

Change 330970 had a related patch set uploaded (by Sbisson):
Make 'hidepageedits' filter out all Flow changes

https://gerrit.wikimedia.org/r/330970

Change 330970 merged by jenkins-bot:
Make 'hidepageedits' filter out all Flow changes

https://gerrit.wikimedia.org/r/330970

Checked in betalabs - hidepageedits filters out RC entries that are the changes to Flow boards (posts, topic edits, board description edits etc). However, the hidepageedits filter also filters out the changes that are not, in fact, edits: e.g. edit-header (for converting User talk page to Flow format), delete-topic, delete-post, `hide-post'.

QA recommendation: Product should weigh in.

jmatazzoni closed this task as Resolved.Jan 11 2017, 6:21 PM
jmatazzoni added a subscriber: jmatazzoni.

Checked in betalabs - hidepageedits filters out RC entries that are the changes to Flow boards (posts, topic edits, board description edits etc). However, the hidepageedits filter also filters out the changes that are not, in fact, edits: e.g. edit-header (for converting User talk page to Flow format), delete-topic, delete-post, `hide-post'.
QA recommendation: Product should weigh in.

I talked to Pau and we think it's fine. Resolving ticket.

Checked in betalabs - hidepageedits filters out RC entries that are the changes to Flow boards (posts, topic edits, board description edits etc). However, the hidepageedits filter also filters out the changes that are not, in fact, edits: e.g. edit-header (for converting User talk page to Flow format), delete-topic, delete-post, `hide-post'.
QA recommendation: Product should weigh in.